Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056673 - Invocation of useradd with a shell other than /sbin/nologin on noarch
Summary: Invocation of useradd with a shell other than /sbin/nologin on noarch
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tomcat
Version: 7.0
Hardware: Unspecified
OS: Linux
unspecified
urgent
Target Milestone: rc
: ---
Assignee: David Knox
QA Contact: tomcat-qe
URL:
Whiteboard:
Depends On:
Blocks: 1056696
TreeView+ depends on / blocked
 
Reported: 2014-01-22 17:12 UTC by David Knox
Modified: 2015-11-02 00:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 12:30:34 UTC


Attachments (Terms of Use)

Description David Knox 2014-01-22 17:12:39 UTC
the %pre scriptlet uses -s /bin/nologin versus /sbin/nologin in useradd.

Comment 6 Michal Haško 2014-04-08 10:00:18 UTC
VERIFIED on tomcat-7.0.42-4.el7

Quoting spec file:
%pre
# add the tomcat user and group
%{_sbindir}/groupadd -g %{tcuid} -r tomcat 2>/dev/null || :
%{_sbindir}/useradd -c "Apache Tomcat" -u %{tcuid} -g tomcat \
    -s /sbin/nologin -r -d %{homedir} tomcat 2>/dev/null || :

Comment 7 Ludek Smid 2014-06-13 12:30:34 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.